package com.yidianling.router.course

import android.app.Activity
import com.yidianling.router.iRouter.BaseRouter

/**
 * Created by hgw on 2018/5/3.
 */
interface ICourseRouter : BaseRouter{

    /**
     * 课程专题页面
     */
    fun courseTopic(activity: Activity,id : String)

    fun closePlayer()

    fun isPlaying(): Boolean

    fun startCoursePlayPage(activity: Activity,from : Int) //from 1表示通知栏点进来，2表示右上角快捷按钮

    fun play()

    fun pause()

//    fun courseIntent(activity: Activity, courseId: Int, courseType: Int)
}